## ros-indigo-tetris-launch 0.1.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tetris_launch)

find_package(catkin REQUIRED COMPONENTS rostest)

catkin_package()

install(DIRECTORY launch test www
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

add_rostest(test/tetris.test)

=== debian/changelog ===
ros-indigo-tetris-launch (0.1.8-0trusty) trusty; urgency=high

  * forget to add rostest to test_depend
  * Contributors: Kei Okada

 -- TORK <dev@opensource-robotics.tokyo.jp>  Tue, 26 Apr 2016 15:00:00 -0000

ros-indigo-tetris-launch (0.1.7-0trusty) trusty; urgency=high

  * set ROSLIB pport to 127.0.0.1:9090
  * Contributors: Kei Okada

 -- TORK <dev@opensource-robotics.tokyo.jp>  Tue, 26 Apr 2016 15:00:00 -0000

ros-indigo-tetris-launch (0.1.6-0trusty) trusty; urgency=high

  * install www
  * Contributors: Kei Okada

 -- TORK <dev@opensource-robotics.tokyo.jp>  Tue, 26 Apr 2016 15:00:00 -0000

ros-indigo-tetris-launch (0.1.5-0trusty) trusty; urgency=high

  * add test to install
  * add rostest test/tetris.test
  * *.launch : add INITIAL_POSE_{X,Y,Z} arguments
  * [doc] Some clarifications
  * [doc] Seperate gzweb installation
  * [doc] Minor formatting
  * doc/sysadmin.rst: add how to use supervisor tool, fix sysadmin tools
  * set default cmd_vel to 1.0
  * add rosbridge_websocket.launch to demo.launch
  * Update index.rst
  * Contributors: Isaac I.Y. Saito, Kei Okada

 -- TORK <dev@opensource-robotics.tokyo.jp>  Tue, 26 Apr 2016 15:00:00 -0000

ros-indigo-tetris-launch (0.1.4-0trusty) trusty; urgency=high

  * [improved] Sun light is stronger on the Moon
  * [fix] Workaround for teleop dying error ( #23 <https://github.com/tork-a/hakuto/issues/23>)
  * [doc] Use rosdoc_lite. Add more Gzweb server-side usage
  * Contributors: Kei Okada, Isaac I.Y. Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-tetris-launch (0.1.3-0trusty) trusty; urgency=high

  * (Doc) No fragment aura around the earth to fix #40 <https://github.com/tork-a/hakuto/issues/40>
  * Contributors: Isaac IY Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Fri, 10 Apr 2015 15:00:00 -0000

ros-indigo-tetris-launch (0.1.2-0trusty) trusty; urgency=high

  * (Feature) Add starry sky scene, earth seen from lunar surface taken by Kaguya, JAXA
  * Contributors: Isaac IY Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Wed, 08 Apr 2015 15:00:00 -0000

ros-indigo-tetris-launch (0.1.1-0trusty) trusty; urgency=high

  * (Doc) Elaborate instruction.
  * Contributors: Isaac IY Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Wed, 08 Apr 2015 15:00:00 -0000

ros-indigo-tetris-launch (0.1.0-0trusty) trusty; urgency=high

  * Run keyboardteleop by default.
  * Add joystick.html example for keyboardteleop
  * Contributors: Isaac IY Saito

 -- Isaac I.Y. Saito <iiysaito@opensource-robotics.tokyo.jp>  Sat, 21 Mar 2015 15:00:00 -0000

ros-indigo-tetris-launch (0.0.1-0trusty) trusty; urgency=high

  * Add missing run_depend on teleop.
  * add gui arguments to demo.launch
  * add CMakeLists.txt launch/demo.launch package.xml
  * Contributors: Isaac IY Saito, Tokyo Opensource Robotics Programmer 534o

 -- Isaac I.Y. Saito <iiysaito@opensource-robotics.tokyo.jp>  Tue, 13 Jan 2015 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-tetris-launch
Section: misc
Priority: extra
Maintainer: TORK <dev@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-rostest
Homepage: http://wiki.ros.org/tetris_launch
Standards-Version: 3.9.2

Package: ros-indigo-tetris-launch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-rosbridge-server, ros-indigo-teleop-twist-keyboard, ros-indigo-tetris-gazebo
Description: Launch files (batch files that start processes and set parameters) for hakuto robots.
 This package also contains document for the Hakuto ROS package suite. Notes: Some images included in the instruction to be applied to Gazebo runtime are publicly provided by JAXA, Japan Aerospace Exploration Agency, for science and educational purposes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-tetris-launch//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
